:- use_module(ujjak).
:- use_module(tests).
   
:- meta_predicate time(+, :, ?), time(+, :).
time(_Txt, Goal, T) :-
	statistics(runtime, [T0,_]),
	(   call(Goal) -> Res = true
	;   Res = false
	),
	statistics(runtime, [T1,_]), T is T1-T0,
	Res = true.

time(Txt, Goal) :-
	time(Txt, Goal, _).

futtat :-
	between(1, 80, N),
	feladat(N, T),
	length(T, Meret),
	findall(X, (nth(_,T,R), nth(_,R,X), X \= 9), AdottakL),
	length(AdottakL, Adottak),
	time('', findall(U, ujjak(T,U), L), Ido),
	length(L, MSzam),
	Ido1 is (Ido+5)//10,
	format('~|~48t~w~2+. pelda, ~|~wx~w,~t~w~12+ adott szam, ~|~t~w~2+ megoldas, ', [N,Meret,Meret,Adottak,MSzam]),
	format('futasi ido = ~|~t~2d~7+ sec.\n', [Ido1]),
	fail.
futtat.
